/* Farbenspiel */
.bg_body{
  background-color: #fff;/* #f8f3ef;*/
}

.bg_dunkel{
  background-color: #67948f;
  color: #FFF;
}
.bg_hell{
  background-color: #f5d7b1;
}

.car_sleep{
  color: #000;
}

.car_not_sleep{
  color: #67948f;
}

*:focus { /* orange Farbe um inputs entfernen */
  outline: none;
}
/* Farbenspiel ENDE */

#blur{
  filter: blur(3px);
}

body {
  --header-height: 50px;
  font-family: 'Nunito', sans-serif;
  transition: background-color .5s;
  height:100%;
  max-width: 1024px;
  margin:0 auto;
}

.preload * {
  transition: none !important;
}

/* Header */
header{
  position: fixed;
  width: 100%;
  max-width: 1024px;
  background: #fff;
  padding-bottom: 5px;
}
input.header__input{
  width: 95%;
  padding-left: 50px;
  padding-right: 50px;
  margin: 8px 2.5%;
  height: 50px;
  display: inline-block;
  border: 1px solid #ccc;
  border-radius: 50px;
  font-size: clamp(16px, 2vw, 24px);
  background-color:#eef2fb;
  box-shadow: 0 3px 10px #999;
}
.header_pos__button{
  z-index: 50;
  margin-top: -45px;
  margin-left: 5%;
}
.header__button {
  background: none;
  outline: none;
  border: none;
  color: #666666;
  cursor: pointer;
}

.profil_img_ausrichtung{
  margin-right:5%;
}
.profil_img_small{
  z-index: 1;
  margin-top:-37px;
  margin-right: 5%;
  width:35px;
  height: 35px;
  border-radius:50%;
  border: solid 1px grey;
}

.nav__link {
  display: flex;
  align-items: center;
  color: #666666;
  font-weight: bold;
  font-size: 14px;
  text-decoration: none;

  background: transform 0.2s;
}
/* Header ENDE*/

/* Welcome */
.welcome{
  text-align: center;
  margin-top:-30px;
}

.profil_img_big{
  width:100px;
  height: 100px;
  border-radius:50%;
  border: solid 1px grey;
}

.greetings{
  top:0;
  margin-top:35px;
  margin-bottom:15px;
  text-align: center;
}
/* Welcome Ende */

/*Navigation*/
.nav__links {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1000;
  height: 100vh;
  width: 250px;
  background: #ffffff;
  transform: translateX(-250px);
  transition: transform 0.3s;
}

.nav--open .nav__links {
  transform: translateX(0);
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
}

.nav__overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: rgba(0, 0, 0, 0.5);
  backdrop-filter: blur(2px);
  visibility: hidden;
  opacity: 0;
  transition: opacity 0.3s;
}

.nav--open .nav__overlay {
  visibility: visible;
  opacity: 1;
}

.icon_menu{
  width: 75px;
}

.icon_button{
  padding-bottom: 20px;
}

/*Navigation ENDE*/

/* Schriften */
.font_mono {
  font-family: "Roboto Mono", monospace;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
}

.font_lesetext {
  font-family: "Outfit", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}
/* Schriften ENDE*/

ul {
  font-size: 20px;
  border-left: 1px solid rgb(226, 222, 222);
  /*text-indent:10px;*/
}
li{
  list-style-type: disc;
  list-style-position: outside;
  padding-left: 10px;

}

td{
  display: table-cell;
}

h1{
  margin-top:0;
  margin-bottom:0;
  font-size: clamp(1rem, 2vw, 1.5rem);
}

h2{
  margin-top:0;
  margin-bottom:0px;
  font-size: clamp(0.9rem, 2vw, 1.2rem);
}
h3{
  margin-top: 10px;
  margin-bottom:0;
  font-size: clamp(14px, 2vw, 26px);
}
h4{
  margin-top: 10px;
  margin-bottom:0;
  font-size: clamp(14px, 2vw, 26px);
}
h5{
  margin-top: 10px;
  margin-bottom:0;
  font-size: clamp(14px, 2vw, 26px);
}
h6{
  margin-top: 10px;
  margin-bottom:0;
  font-size: clamp(14px, 2vw, 26px);
}

a{
  color: #000;
  text-decoration-line: none;
}

.statusbar{
  position:fixed;
  width:100%;
  background-color: #f8f3ef;
}
.ueberschrift{
  margin-top:65px;
  position:fixed;
  width:100%;
  background-color: #f8f3ef;
}

.headline_position{
  margin-top:15px;
}

.headline_text_position_links{
  margin-top: -2.2vh;
  margin-left: 10%;
  background-color: #fff;
}
.headline_text_position_rechts{
  margin-top: -2.5vh;
  margin-right: 10%;
  background-color: #fff;
}

.icon_account_link{
  width:40px;
}

.rand_kreis{
  border: solid 1px blue;
  padding:5px 5px;
  border-radius: 50%;
}

.kachel_hintergrund_gruen{
  background-color: rgb(241, 247, 234);
}

.kachel_hintergrund_blau{
  background-color: rgb(241, 245, 250);
}

.kachel_headline{
  padding-left:10px;
  padding-bottom:3px;
}

.kontostand{
  background-color: #f7f7f7;
  padding: 10px 0 10px 0;
}

.tagessaldo{
  border-top: #a0c519 solid 2px;
  border-bottom: #808080 solid 1px;
  background-color: #f7f7f7;
}

.tagessaldo_inhalt{
  padding: 10px 0 10px 0;
}

.buchung{
  border-bottom: #a8a6a6 dotted 1px;
}

/* Login Page */
#login_box{
	margin-top: 150px;
	padding:0 30px;
}

#login_form{
	margin-top: 30px;
}

#welcome{
  font-size: clamp(30px, 2vw, 100px);
  color: green;
  text-align: right;
  width: 50%;
}

#welcome_zurueck{
  font-size: clamp(25px, 2vw, 100px);
  color: green;
  text-align: right;
  width: 70%;
}

.login_schreibschrift{
  transform: rotate(20deg);
  font-family: 'La Belle Aurore', cursive;
  font-size: clamp(30px, 2vw, 100px);
  top: 1;
  position: absolute;
  top: 0;
  right: 0;
  margin-top: 70px;
  margin-right: 70px;
}
/* Login Page */




table{
  border-collapse: collapse;
}


/* Tabellen Optik*/
.table_view{
  display: table;
  width:100%;
}
.row_view{
  display: table-row;
}
.cell_view_2{
  display: table-cell;
  width:48%;
}
.cell_view_2_abstand{
  display: table-cell;
  width:2%;
}
/* Tabellen Optik ENDE*/

/* Box Setup */
.mlo_box {
  margin-bottom: 10px;
  border-radius: 4px;
  box-shadow: 0 1px 3px #999;
}

.mlo_box_content {
  text-align: left;
  padding: 1vw;
  font-size: clamp(18px, 2vw, 30px);
  font-weight: normal;
}
.space {
 width: 4%;
 float:left;
}

.st3_kachel{
  height:90px;
  width:100%;
  display:table;
}
.st3_kachel p{
  display: table-cell;
  vertical-align: middle;
  text-align: center;
}

/* Box Setup ENDE*/

/* Font Setting*/
.small_px{
  font-size: 12px;
}

.small{
  font-size: clamp(12px, 2vw, 20px);
}
.middle{
  font-size: clamp(14px, 2vw, 24px);
}
.big{
  font-size: clamp(18px, 2vw, 26px);
}

.right{
  text-align: right;
}
.center{
  text-align: center;
}
/* Font Setting ENDE*/

/* Tabs */
.tabs {
  display: flex;
  flex-wrap: wrap;
  max-width: 400px;
  font-family: 'Nunito', sans-serif;
}

.tabs__label {
  padding: 10px 16px;
  cursor: pointer;
}

.tabs__radio {
  display: none;
}

.tabs__content {
  order: 1;
  width: 100%;
  border-bottom: 3px solid #dddddd;
  line-height: 1.5;
  font-size: 0.9em;
  display: none;
}

.tabs__radio:checked + .tabs__label {
  font-weight: bold;
  color: #009578;
  border-bottom: 2px solid #009578;
}

.tabs__radio:checked + .tabs__label + .tabs__content {
  display: initial;
}
/* Tabs Ende*/

/* Text mit Tasten rundherum*/
.mlo_kasten {
  margin-right:5px;
  margin-bottom:5px;
  text-align: center;
  padding: 5px;
  border-radius: 4px;
  border: solid 1px #ccc;
}
/* Text mit Tasten rundherum ENDE*/

/* Toggle Checkbox*/
.toggle label {
	position: relative;
	display: inline-block;
	width: 10em;
	height: 3.5em;
}

.toggle input {
	display: none;
}

.toggle .slider {
	/* Grundfläche */
	position: absolute;
	cursor: pointer;
	top: 1.5em;
	left: 2.6em;
	width: 4em;
	height: 2em;
	background-color: #c32e04;
	/* red */

	transition: all .3s ease-in-out;
	border-radius: 1em;
}

.toggle .slider:before {
	/* verschiebbarer Button */
	position: absolute;
	content: "";
	height: 1.6em;
	width: 1.6em;
	left: 0.2em;
	bottom: 0.2em;
	background-color: white;
	border-radius: 50%;
	transition: all .3s ease-in-out;
}

.toggle input:checked + .slider {
	background-color: #5a9900;
	/* green */
}

.toggle input:focus + .slider {
	background-color: pink;
	box-shadow: 0 0 1px #5a9900;
}

.toggle input:checked + .slider:before {
	transform: translateX(1.9em);
}
/* Toggle Checkbox ENDE*/

.finanz_hintergrund_rot{
  background-color: rgba(231, 130, 130, 0.150);
}

.finanz_hintergrund_gruen{
  background-color: rgba(0, 128, 0, 0.150);
}

.profil_img_middle{
  width:50px;
  height: 50px;
  border-radius:50%;
  border: solid 1px grey;
  margin-right:10px;
}

.w50{
  width:50px;
}
.w80{
  width:80%;
}
.w100{
  width:100%;
}
.w10{
  width:10%;
}
.w90{
  width:90%;
}

.w33{
  width:33%;
}
.footer-high{
  height:60px;
}
.bold{
  font-weight: bold;
}

.notiz{
  padding:2px;
}

.border_left{
  border-left: 1px solid #ccc;
  margin-left:2px;
  padding-left:8px;
}

.valign_top{
  vertical-align: top;
}

.abstand{
  height:3px;
}

.div_abstand{
  margin-right:5px;
}

.border_button{
  border: 1px solid #ccc;
    border-radius: 20px;
    text-align: center;
    padding: 2px;
    margin-bottom:2px;
    width:60px;
}
.border_button_abstand{
  margin-bottom: 15px;
}

.neuesBlatt{
  padding: 10px 30px 5px 30px;
  margin: 20px -6px 20px -6px;
  box-shadow: #89a0d3 0px 0px 2px;
}

.blatt_ueberschrift{
  border-top: solid 3px #99f1e9;
  background-color: #d7f3f0;
  padding: 5px 5px;
  font-weight: bold;
}

.blatt_linie{
  border-top: 1px dashed #99f1e9;
}

.space1{
  height:20px;
}

.blocksatz{
  text-align: justify;
}

.border-top{
  border-top: solid 1px #000;
}
.border-top-dotted{
  border-top: dotted 1px #000;
}
.border-bottom{
  border-bottom: solid 1px #000;
  padding-top:5px;
}

.dividenen_bar_cashback{
  margin-top:-20px;
}

.dividenen_bar_wert{
  margin-top:-18px;
  background-color:#fff;
}

.dividenden_bar_gruen{
  border:  1px solid #fff;
  border-top: 2px solid rgba(0, 128, 0, 0.95);
}

hr.line{
	border-top: 1px solid #eadede;
}

.dividenden_bar_neutral{
	border: 1.1px solid #eadede;
}

#main {
  transition: margin-left .5s;
  padding: 100px 1.5vw ;
  font-size: clamp(16px, 2vw, 18px);
}

#Navi2{
  position: fixed;
  right:0;
  top:  0;
  margin-top: 16px;
  margin-right: 10px;
}

.dotted_line{
  border-bottom: dotted 1px #ccc;
}
.fett_line{
  border-bottom: solid 2px #ccc;
}


/* Konto Popup*/
.account_headline_30{
  font-family: 'La Belle Aurore', cursive;
  font-size: 30px;
  padding: 12px 15px;
}
.account_headline_15{
  font-family: 'La Belle Aurore', cursive;
  font-size: 15px;
}

#account{
  visibility:hidden;
  z-index: 1;
  margin: 70px auto;
  max-width: 600px;
  margin-left: 20%;
}
.kto_main{
  position: fixed;
  background-color: #fff;
  /*top: 0;
  margin-top:70px;
  margin-right:15px;
  right: 0;*/
  width:75%;
  height:70%;
  border: 1px solid black;
  border-radius: 4px;
  box-shadow: 0px 20px 100px rgb(0 0 0);
}
.kto_content{
  padding:10px;
}

/* Navigation unten*/
.kto_bottom {
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 25px;
  overflow-x: auto;
}
.navi_bottom {
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 100px;
  overflow-x: auto;
}
/* Konto Popup ENDE*/

.error{
	color: red;
	text-align:center;
}

input[type=password], [type=email], [type=date], [type=text], [type=time], [type=month], [list], select, textarea {
  width: 100%;
  padding: 10px 5px;
  margin: 8px 0;
  display: inline-block;
  border-top: 1px solid #f8f3ef;
  border-left: 1px solid #f8f3ef;
  border-right: 1px solid #f8f3ef;
  border-bottom: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
  font-size: clamp(16px, 2vw, 24px);
  background-color:#eef2fb;
}

input[type=submit] {
  width: 100%;
  background-color: #4CAF50;
  color: white;
  padding: 14px 20px;
  margin: 30px 0;
  border: none;
  border-radius: 25px;
  font-size: clamp(16px, 2vw, 24px);
  cursor: pointer;
}

input[type=submit]:hover {
  background-color: green;
}

.find-state{
  width: 100%;
  background-color: #4CAF50;
  color: white;
  padding: 14px 20px;
  margin: 30px 0;
  border: none;
  border-radius: 25px;
  font-size: clamp(16px, 2vw, 24px);
  cursor: pointer;
}

.fl_right {
	float:right;
}

.fl_left {
	float:left;
}

.fl_clear {
	clear: both;
}
/* Navigation unten*/
.nav_bottom {
  position: fixed;
  bottom: 0;
  width: 100%;
  max-width: 1024px;
  height: 70px;
  text-align: center;
  box-shadow: 0 0 3px rgba(0, 0, 0, 0.2);
  background-color: #eef2fb;
  display: flex;
  overflow-x: auto;
}

.nav_bottom__link {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  flex-grow: 1;
  min-width: 50px;
  overflow: hidden;
  white-space: nowrap;
  font-family: 'Nunito', sans-serif;
  font-size: 14px;
  font-weight: bold;
  color: #444444;
  text-decoration: none;
  text-align: center;
  -webkit-tap-highlight-color: transparent;
  transition: background-color 0.1s ease-in-out;
}

.nav_bottom__link:hover {
  background-color: #eeeeee;
}

.nav_bottom__link--active {
  color: #000;
  background-color: #c3e7ff;
  width:100%;
  max-width:70px;
  border-radius: 50px;
}

.nav_bottom__icon {
  font-size: 35px;
}
/* Navigation unten ENDE*/

@media screen and (max-height: 450px) {
  .sidenav {padding-top: 15px;}
  .sidenav a {font-size: 18px;}
}


/*Navigation BACK UP für Text
.header {
  position: fixed;
  margin-top:16px;
  top: 0;
  left: 0;
  width: 100%;
  height: var(--header-height);
  background: #f8f3ef;
  display: flex;
}

.header__button {
  width: var(--header-height);
  flex-shrink: 0;
  background: none;
  outline: none;
  border: none;
  color: #666666;
  cursor: pointer;
}

.nav__links {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1000;
  height: 100vh;
  width: 250px;
  background: #ffffff;
  transform: translateX(-250px);
  transition: transform 0.3s;
}

.nav--open .nav__links {
  transform: translateX(0);
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
}

.nav__link {
  display: flex;
  align-items: center;
  color: #666666;
  font-weight: bold;
  font-size: 14px;
  text-decoration: none;
  padding: 12px 15px;
  background: transform 0.2s;
}

.nav__link > i {
  margin-right: 15px;
}

.nav__link--active {
  color: #009578;
}

.nav__link--active,
.nav__link:hover {
  background: #eeeeee;
}

.nav__overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: rgba(0, 0, 0, 0.5);
  backdrop-filter: blur(2px);
  visibility: hidden;
  opacity: 0;
  transition: opacity 0.3s;
}

.nav--open .nav__overlay {
  visibility: visible;
  opacity: 1;
}

.icon_menu{
  width: 75px;
}

.icon_button{
  padding-bottom: 20px;
}

/*Navigation ENDE*/
